unit Uusuarios;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Data.DB, Vcl.StdCtrls, Vcl.Buttons,
  Vcl.ExtCtrls, Vcl.Grids, Vcl.DBGrids, Vcl.Mask, Vcl.DBCtrls, Data.Win.ADODB;

type
  TFUsuarios = class(TForm)
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    txtPass: TEdit;
    Label3: TLabel;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    btnPrimero: TBitBtn;
    btnAtras: TBitBtn;
    BtnSiguiente: TBitBtn;
    BtnUltimo: TBitBtn;
    BtnNuevo: TBitBtn;
    BtnEditar: TBitBtn;
    BtnGuardar: TBitBtn;
    BtnCancelar: TBitBtn;
    BtnEliminar: TBitBtn;
    BitBtn1: TBitBtn;
    Tusuarios: TADOTable;
    DSUsuarios: TDataSource;
    procedure BitBtn1Click(Sender: TObject);
    procedure btnPrimeroClick(Sender: TObject);
    procedure TusuariosBeforePost(DataSet: TDataSet);
    procedure TusuariosAfterScroll(DataSet: TDataSet);
    procedure DSUsuariosStateChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FUsuarios: TFUsuarios;

implementation

{$R *.dfm}

uses Udm, Uconexion;

procedure TFUsuarios.BitBtn1Click(Sender: TObject);
begin
close
end;

procedure TFUsuarios.btnPrimeroClick(Sender: TObject);
begin
DBControles((Sender As Tbitbtn).Tag, TUsuarios, btnPrimero, btnAtras, btnSiguiente, btnUltimo, btnNuevo, btnEditar, btnEliminar, btnGuardar, btnCancelar);
end;

procedure TFUsuarios.DSUsuariosStateChange(Sender: TObject);
begin
 if TUsuarios.State = dsedit then
   btnPrimero.OnClick(btnEditar)
end;

procedure TFUsuarios.TusuariosAfterScroll(DataSet: TDataSet);
begin
  txtPass.Text := Tusuarios.FieldByName('Pass').Asstring;
end;

procedure TFUsuarios.TusuariosBeforePost(DataSet: TDataSet);
begin
 if txtPass.Text <> Tusuarios.FieldByName('Pass').Asstring then
  begin
    messageDLG('Las contraseņas no son iguales',mterror,[mbok],0);
    abort;
  end;
end;

end.
